| Face Engine SDK 5.35.0 A face detection, recognition and tracking engine.

Classes | Enumerations | Functions
Estimators

Estimators public interfaces and related types and structures. More...

## Classes
struct | fsdk::IAGSEstimator
| Approximate Garbage Score estimator interface. More...
struct | fsdk::IBestShotQualityEstimator
| BestShotQuality estimator interface. More...
struct | fsdk::IEthnicityEstimator
struct | fsdk::EyesEstimation
| Eyes estimation output. More...
struct | fsdk::EyeCropper
| EyeCropper is a helper structure for IEyeEstimator interface Methods of this structure crop an input warped image and returns rectangle coordinates of each eye. More...
struct | fsdk::IEyeEstimator
| Eye estimator interface. More...
struct | fsdk::GazeEstimation
| Gaze estimation output. More...
struct | fsdk::IGazeEstimator
| Gaze estimator interface. More...
struct | fsdk::IGlassesEstimator
| Glasses estimator interface. More...
struct | fsdk::HeadPoseEstimation
| Head pose estimation output. More...
struct | fsdk::IHeadPoseEstimator
| Head pose angles estimator interface. More...
struct | fsdk::LivenessOneShotRGBEstimation
| Liveness OneShotRGB estimation structure. More...
struct | fsdk::ILivenessOneShotRGBEstimator
| OneShot RGB Liveness estimator interface. More...
struct | fsdk::MedicalMaskEstimation
| MedicalMask estimator output structure. This structure contains the result of estimation (. More...
struct | fsdk::MedicalMaskEstimationExtended
| MedicalMask estimator output structure. This structure contains the result of estimation (. More...
struct | fsdk::IMedicalMaskEstimator
| MedicalMask estimator interface. More...
struct | fsdk::SmileTypeScores
| Scores of smile type. Probability scores are defined in [0,1] range. Scores in this struct sum up to 1.0. We use them to decide if person is smiling with teeth's exposed or not. More...
struct | fsdk::MouthEstimation
| Mouth estimator output structure. Stores flags that indicates which mouth feature is present. Multiple state flags may be set to true meaning that the final mouth state is a combination of those. Probability scores are defined in [0,1] range. More...
struct | fsdk::MouthEstimationExtended
| Extended mouth estimator output structure. Stores flags that indicates which mouth feature is present. Multiple state flags may be set to true meaning that the final mouth state is a combination of those. Probability scores are defined in [0,1] range. More...
struct | fsdk::IMouthEstimator
| Mouth estimator interface. More...
struct | fsdk::Quality
| Quality estimation structure Each estimation is given in normalized [0, 1] range. Parameter meanings: More...
struct | fsdk::IQualityEstimator
| Image quality estimator interface. More...
struct | fsdk::SubjectiveQuality
| Subjective Quality estimation structure Each estimation is given in normalized [0, 1] range. Parameter meanings: More...
struct | fsdk::ISubjectiveQualityEstimator
| Image quality estimator interface. More...

## Enumerations
enum | fsdk::GlassesEstimation : uint8_t { fsdk::GlassesEstimation::NoGlasses, fsdk::GlassesEstimation::EyeGlasses, fsdk::GlassesEstimation::SunGlasses, fsdk::GlassesEstimation::EstimationError }
| Glasses estimation enum. More...
enum | fsdk::MedicalMask { fsdk::MedicalMask::Mask = 0, fsdk::MedicalMask::NoMask, fsdk::MedicalMask::OccludedFace }
| MedicalMask estimator output enum. This enum contains all possible estimation results. More...
enum | fsdk::MedicalMaskExtended { fsdk::MedicalMaskExtended::Mask = 0, fsdk::MedicalMaskExtended::NoMask, fsdk::MedicalMaskExtended::MaskNotInPlace, fsdk::MedicalMaskExtended::OccludedFace }
| MedicalMask estimator output enum. This enum contains all possible extended estimation results. More...
enum | fsdk::DetailedMaskType { fsdk::DetailedMaskType::CorrectMask = 0, fsdk::DetailedMaskType::MouthCoveredWithMask, fsdk::DetailedMaskType::ClearFace, fsdk::DetailedMaskType::ClearFaceWithMaskUnderChin, fsdk::DetailedMaskType::PartlyCoveredFace, fsdk::DetailedMaskType::FullMask, Count }
| MedicalMask estimator output enum. This enum contains all type of DetailedMaskType results. More...
enum | fsdk::SmileType { fsdk::SmileType::None, fsdk::SmileType::SmileLips, fsdk::SmileType::SmileOpen }
| MouthEstimationExtended smile type enum. This enum contains all possible smile types. More...

## Functions
IBestShotQualityEstimator::EstimationRequest | fsdk::operator| (IBestShotQualityEstimator::EstimationRequest first, IBestShotQualityEstimator::EstimationRequest second)
float | fsdk::IEthnicityEstimator::EstimationResult::getEthnicityScore (Ethnicities ethnicity) const
| the result ethnicity
FrontalFaceType | fsdk::HeadPoseEstimation::getFrontalFaceType () const
| Returns type of face frontality.
float | fsdk::MedicalMaskEstimation::getScore (DetailedMaskType type) const
| Returns score of required detailed mask type. More...
float | fsdk::Quality::getQuality () const noexcept
bool | fsdk::SubjectiveQuality::isGood () const noexcept

## Detailed Description

Estimators public interfaces and related types and structures.

## Enumeration Type Documentation

## ◆ DetailedMaskType

enum fsdk::DetailedMaskType
| strong

MedicalMask estimator output enum. This enum contains all type of DetailedMaskType results.

Enumerator
CorrectMask | correct mask on the face (mouth and nose are covered correctly)
MouthCoveredWithMask | mask covers only a mouth
ClearFace | clear face - no mask on the face
ClearFaceWithMaskUnderChin | face with a mask around a chin, not covering anything from mouth to eyes
PartlyCoveredFace | face is covered with not a medical mask or a full mask
FullMask | face is covered with a full mask (such as balaclava, sky mask, etc.)

## ◆ GlassesEstimation

enum fsdk::GlassesEstimation : uint8_t
| strong

Glasses estimation enum.

- `noglasses:` checks whether person is wearing glasses or not. true - no glasses, false - with glasses;
- `eyeglasses:` checks whether person is wearing eyeglasses or not. true - eyeglasses, false - not eyeglasses;
- `sunglasses:` checks whether person is wearing sunglasses or not. true - sunglasses, false - not sunglasses.

Enumerator
NoGlasses | Person is not wearing glasses.
EyeGlasses | Person is wearing eyeglasses.
SunGlasses | Person is wearing sunglasses.
EstimationError | failed to estimate

## ◆ MedicalMask

enum fsdk::MedicalMask
| strong

MedicalMask estimator output enum. This enum contains all possible estimation results.

Enumerator
Mask | medical mask is on the face
NoMask | no medical mask on the face
OccludedFace | face is occluded by something

## ◆ MedicalMaskExtended

enum fsdk::MedicalMaskExtended
| strong

MedicalMask estimator output enum. This enum contains all possible extended estimation results.

Enumerator
Mask | medical mask is on the face
NoMask | no medical mask on the face
MaskNotInPlace | mask is not on the right place
OccludedFace | face is occluded by something

## ◆ SmileType

enum fsdk::SmileType
| strong

MouthEstimationExtended smile type enum. This enum contains all possible smile types.

Enumerator
None | No smile.
SmileLips | regular smile, without teeth's exposed
SmileOpen | smile with teeth's exposed

## Function Documentation

## ◆ getQuality()

float fsdk::Quality::getQuality | ( |  | ) | const
| inline noexcept

Returns
  complex estimation of quality (minimin of flor estimations). 0 - low quality, 1 - high quality.

## ◆ getScore()

float fsdk::MedicalMaskEstimation::getScore | ( | DetailedMaskType | type | ) | const
| inline

Returns score of required detailed mask type.

Parameters

  [in] | type | detailed mask type.

See also
  DetailedMaskType for more info.

## ◆ isGood()

bool fsdk::SubjectiveQuality::isGood | ( |  | ) | const
| inline noexcept

Returns
  if all boolean flags are false returns true - high quality, else false - low quality.